Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class LevelImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.LevelImpl

All Implemented Interfaces:
  Decorator, Displayable, Expression, Level, Visitable

Direct Known Subclasses:
  TestLevel

    public class LevelImpl

extends java.lang.Object
implements Level

Created on 11.10.2002

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`LevelImpl()`
`LevelImpl(java.lang.String label, Hierarchy hierarchy)`

Method Summary
`void` | `accept(Visitor visitor)`
`Hierarchy` | `getHierarchy()` Returns the hierarchy.
`java.lang.String` | `getLabel()` Returns the label.
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`java.lang.String` | `getUniqueName()`
`void` | `setHierarchy(Hierarchy hierarchy)` Sets the hierarchy.
`void` | `setLabel(java.lang.String label)` Sets the label.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LevelImpl

    public LevelImpl()

### LevelImpl

    public LevelImpl(java.lang.String label,
                     Hierarchy hierarchy)

Method Detail

### getHierarchy

    public Hierarchy getHierarchy()

  Returns the hierarchy.

  Specified by:
    `getHierarchy` in interface `Level`
  Returns:
    Hierarchy

### setHierarchy

    public void setHierarchy(Hierarchy hierarchy)

  Sets the hierarchy.

  Parameters:
    `hierarchy` - The hierarchy to set

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Specified by:
    `getLabel` in interface `Displayable`
  Returns:
    String

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - The label to set

### getUniqueName

    public java.lang.String getUniqueName()

  Returns:
    unique name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD